apiVersion: apps/v1
kind: ReplicaSet
metadata:
  name: rs-1
  labels:
    app: my-app
    tier: front
spec:

  template:

    metadata:
      name: myapp-pod
      labels:
        app: my-app
        tier: front
    spec:
      containers:
        - image: nginx
          name: my-nginx


  replicas: 0
  
  selector:
    matchLabels:
      tier: front
